summaryrefslogtreecommitdiffstats
path: root/source/l
diff options
context:
space:
mode:
Diffstat (limited to 'source/l')
-rw-r--r--source/l/db44/slack-desc2
-rw-r--r--source/l/db48/slack-desc2
-rwxr-xr-xsource/l/python-certifi/python-certifi.SlackBuild6
-rwxr-xr-xsource/l/python-idna/python-idna.SlackBuild6
-rwxr-xr-xsource/l/python-packaging/python-packaging.SlackBuild6
-rw-r--r--source/l/python-packaging/slack-desc2
-rwxr-xr-xsource/l/python-pillow/python-pillow.SlackBuild6
-rwxr-xr-xsource/l/python-requests/python-requests.SlackBuild6
-rw-r--r--source/l/python-requests/python-requests.url1
-rwxr-xr-xsource/l/python-urllib3/python-urllib3.SlackBuild6
-rw-r--r--source/l/python-urllib3/urllib3.url1
-rwxr-xr-xsource/l/tdb/tdb.SlackBuild6
-rwxr-xr-xsource/l/tevent/tevent.SlackBuild2
13 files changed, 27 insertions, 25 deletions
diff --git a/source/l/db44/slack-desc b/source/l/db44/slack-desc
index dfc00b22e..84d13a3b8 100644
--- a/source/l/db44/slack-desc
+++ b/source/l/db44/slack-desc
@@ -6,7 +6,7 @@
# leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
-db44: db4 (Berkeley database library version 4.4.x)
+db44: db44 (Berkeley database library version 4.4.x)
db44:
db44: The Berkeley Database (Berkeley DB) library provides embedded database
db44: support for both traditional and client/server applications.
diff --git a/source/l/db48/slack-desc b/source/l/db48/slack-desc
index 285251303..5b4663ffc 100644
--- a/source/l/db48/slack-desc
+++ b/source/l/db48/slack-desc
@@ -6,7 +6,7 @@
# leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
-db48: db4 (Berkeley database library version 4.8.x)
+db48: db48 (Berkeley database library version 4.8.x)
db48:
db48: The Berkeley Database (Berkeley DB) library provides embedded database
db48: support for both traditional and client/server applications.
diff --git a/source/l/python-certifi/python-certifi.SlackBuild b/source/l/python-certifi/python-certifi.SlackBuild
index 56e0ba60e..29bf65f7d 100755
--- a/source/l/python-certifi/python-certifi.SlackBuild
+++ b/source/l/python-certifi/python-certifi.SlackBuild
@@ -24,8 +24,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=python-certifi
-VERSION=${VERSION:-$(echo certifi-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-$(echo certifi-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
SRCNAM=certifi
@@ -52,7 +52,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf $SRCNAM-$VERSION
-tar xvf $CWD/$SRCNAM-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z || exit 1
cd $SRCNAM-$VERSION || exit 1
chown -R root:root .
find -L . \
diff --git a/source/l/python-idna/python-idna.SlackBuild b/source/l/python-idna/python-idna.SlackBuild
index 1ffd644e8..aca267aa4 100755
--- a/source/l/python-idna/python-idna.SlackBuild
+++ b/source/l/python-idna/python-idna.SlackBuild
@@ -24,8 +24,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=python-idna
-VERSION=${VERSION:-$(echo idna-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-$(echo idna-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
SRCNAM=idna
@@ -52,7 +52,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf $SRCNAM-$VERSION
-tar xvf $CWD/$SRCNAM-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z || exit 1
cd $SRCNAM-$VERSION || exit 1
chown -R root:root .
find -L . \
diff --git a/source/l/python-packaging/python-packaging.SlackBuild b/source/l/python-packaging/python-packaging.SlackBuild
index 3e1a64bb7..3c731d448 100755
--- a/source/l/python-packaging/python-packaging.SlackBuild
+++ b/source/l/python-packaging/python-packaging.SlackBuild
@@ -24,8 +24,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=python-packaging
-VERSION=${VERSION:-$(echo packaging-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-$(echo packaging-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
SRCNAM=packaging
@@ -52,7 +52,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf $SRCNAM-$VERSION
-tar xvf $CWD/$SRCNAM-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z || exit 1
cd $SRCNAM-$VERSION || exit 1
chown -R root:root .
find -L . \
diff --git a/source/l/python-packaging/slack-desc b/source/l/python-packaging/slack-desc
index c117eeac1..b67c7c688 100644
--- a/source/l/python-packaging/slack-desc
+++ b/source/l/python-packaging/slack-desc
@@ -10,7 +10,7 @@ python-packaging: python-packaging (Core utilities for Python packages)
python-packaging:
python-packaging: Core utilities for Python packages
python-packaging:
-python-packaging: Homepage: https://github.com/pypa/packaging
+python-packaging: Homepage: https://pypi.org/project/packaging/
python-packaging:
python-packaging:
python-packaging:
diff --git a/source/l/python-pillow/python-pillow.SlackBuild b/source/l/python-pillow/python-pillow.SlackBuild
index dbd8ae1d0..76e5743b8 100755
--- a/source/l/python-pillow/python-pillow.SlackBuild
+++ b/source/l/python-pillow/python-pillow.SlackBuild
@@ -24,8 +24,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=python-pillow
-VERSION=${VERSION:-$(echo Pillow-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-$(echo Pillow-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -70,7 +70,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf Pillow-$VERSION
-tar xvf $CWD/Pillow-$VERSION.tar.*z* || exit 1
+tar xvf $CWD/Pillow-$VERSION.tar.?z || exit 1
cd Pillow-$VERSION
chown -R root:root .
find . \
diff --git a/source/l/python-requests/python-requests.SlackBuild b/source/l/python-requests/python-requests.SlackBuild
index 8ba8cc20b..525c22f76 100755
--- a/source/l/python-requests/python-requests.SlackBuild
+++ b/source/l/python-requests/python-requests.SlackBuild
@@ -24,8 +24,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=python-requests
-VERSION=${VERSION:-$(echo requests-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-$(echo requests-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
SRCNAM=requests
@@ -52,7 +52,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf $SRCNAM-$VERSION
-tar xvf $CWD/$SRCNAM-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z || exit 1
cd $SRCNAM-$VERSION || exit 1
chown -R root:root .
find -L . \
diff --git a/source/l/python-requests/python-requests.url b/source/l/python-requests/python-requests.url
new file mode 100644
index 000000000..685bbd5d5
--- /dev/null
+++ b/source/l/python-requests/python-requests.url
@@ -0,0 +1 @@
+https://github.com/requests/requests
diff --git a/source/l/python-urllib3/python-urllib3.SlackBuild b/source/l/python-urllib3/python-urllib3.SlackBuild
index c42396e59..42fbc26b1 100755
--- a/source/l/python-urllib3/python-urllib3.SlackBuild
+++ b/source/l/python-urllib3/python-urllib3.SlackBuild
@@ -24,8 +24,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=python-urllib3
-VERSION=${VERSION:-$(echo urllib3-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-$(echo urllib3-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
SRCNAM=urllib3
@@ -52,7 +52,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf $SRCNAM-$VERSION
-tar xvf $CWD/$SRCNAM-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z || exit 1
cd $SRCNAM-$VERSION || exit 1
chown -R root:root .
find -L . \
diff --git a/source/l/python-urllib3/urllib3.url b/source/l/python-urllib3/urllib3.url
new file mode 100644
index 000000000..ad87d82bf
--- /dev/null
+++ b/source/l/python-urllib3/urllib3.url
@@ -0,0 +1 @@
+https://github.com/shazow/urllib3
diff --git a/source/l/tdb/tdb.SlackBuild b/source/l/tdb/tdb.SlackBuild
index a6866b2f8..f60cd4cbe 100755
--- a/source/l/tdb/tdb.SlackBuild
+++ b/source/l/tdb/tdb.SlackBuild
@@ -23,8 +23,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=tdb
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -75,7 +75,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
chown -R root:root .
diff --git a/source/l/tevent/tevent.SlackBuild b/source/l/tevent/tevent.SlackBuild
index cfeee1194..c79a9741a 100755
--- a/source/l/tevent/tevent.SlackBuild
+++ b/source/l/tevent/tevent.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=tevent
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then